#!/bin/sh -e
#
# Wait for all running udev processes to finish

loops=0
while [ $loops -lt 60 ]; do
  running=$(cat /proc/*/status 2> /dev/null | grep -c -E '^Name:.udevd?$')
  if [ $running -gt 1 ]; then
    echo "udevd: $running processes running" >&2
    sleep 0.5
    let loops=$loops+1
  else
    exit 0
  fi
done
